=== debian/changelog ===
ros-rolling-fuse-viz (1.0.1-2jammy) jammy; urgency=high



 -- Enrique Fernandez <efernandez@clearpath.ai>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-viz (1.0.0-2jammy) jammy; urgency=high

  * Fix fuse viz crash (#312 <https://github.com/locusrobotics/fuse/issues/312>)
  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_viz : Linting (#306 <https://github.com/locusrobotics/fuse/issues/306>)
  * ROS 2 port of fuse_viz (#301 <https://github.com/locusrobotics/fuse/issues/301>)
    * Initial attempt at porting fuse_viz
    * Make sure suitesparse can be found downstream
    * Plugin library names can't have lib/ prefix
    * Plugin library names can't have lib/ prefix
    * Add lint tests (they currently fail)
  * fuse -> ROS 2 fuse_constraints : Linting (#298 <https://github.com/locusrobotics/fuse/issues/298>)
  * fuse -> ROS 2 fuse_variables: Linting (#296 <https://github.com/locusrobotics/fuse/issues/296>)
    * Migrate to .hpp files
    * Create redirection headers
    * Make xmllint and uncrustify happy
    * Wrap most comment lines
    * Satisfy cpplint
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 : Port Logging (#279 <https://github.com/locusrobotics/fuse/issues/279>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * Contributors: Shane Loretz, Tom Moore, methylDragon

 -- Enrique Fernandez <efernandez@clearpath.ai>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-viz (0.4.2-2jammy) jammy; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Enrique Fernandez <efernandez@clearpath.ai>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-fuse-viz (0.4.1-2jammy) jammy; urgency=high

  * Changelogs
  * Adding QT5 dependency in package.xml (#229 <https://github.com/locusrobotics/fuse/issues/229>)
    * Adding QT5 dependency in package.xml
    * Fixing viz build issues in noetic (#230 <https://github.com/locusrobotics/fuse/issues/230>)
  * Fixed compile error when using the latest version of rviz (#220 <https://github.com/locusrobotics/fuse/issues/220>)
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field
  * Keep constraint properties sorted by source (#161 <https://github.com/locusrobotics/fuse/issues/161>)
  * Visualize loss (#144 <https://github.com/locusrobotics/fuse/issues/144>)
    * Visualize error scaled by loss cost factor
    If a constraint has a loss function, the cost is computed with and
    without loss, and the quotient of the cost with loss by the cost without
    loss is used to scale the error line. This is used to draw a "loss"
    error line, so we can see the contribution of the loss function to the
    constraint.
  * Set QT_INCLUDE_DIRS and QT_LIBRARIES properly (#153 <https://github.com/locusrobotics/fuse/issues/153>)
  * Removed the explicit '-std=c++14' compile flag (#119 <https://github.com/locusrobotics/fuse/issues/119>)
    * Removed the explicit '-std=c++14' compile flag
    * Changed the CXX_STANDARD setting to be per-target instead of global
    * Added the CXX_STANDARD_REQUIRED setting to all targets
  * Draw RelativePose2DStampedConstraint constraints (#107 <https://github.com/locusrobotics/fuse/issues/107>)
    * Draw RelativePose2DStampedConstraint constraints
    * Dynamically generate display properties for the constraint sources
    * Cache the constraint sources properties config so it's applied when
    the properties are later created
    * Create Variable visual + property, as we do for the Constraint
  * fix compilation in Kinetic (#112 <https://github.com/locusrobotics/fuse/issues/112>)
  * Add fuse_viz pkg with rviz SerializedGraph display (#99 <https://github.com/locusrobotics/fuse/issues/99>)
  * Contributors: Davide Faconti, Enrique Fernandez Perdomo, Stephen Williams, Tom Moore
  * Adding QT5 dependency in package.xml (#229 <https://github.com/locusrobotics/fuse/issues/229>)
    * Adding QT5 dependency in package.xml
    * Fixing viz build issues in noetic (#230 <https://github.com/locusrobotics/fuse/issues/230>)
  * Fixed compile error when using the latest version of rviz (#220 <https://github.com/locusrobotics/fuse/issues/220>)
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Replace ignition_sensors list param with ignition field (#163 <https://github.com/locusrobotics/fuse/issues/163>)
    * Remove ignition_sensors param and use a per-sensor ignition field

